/*
 *  This source is originated from W3C DOM draft
 *     http://www.w3.org/TR/WD-DOM/level-one-xml-971209.html
 *
 *  Copyright (C) 1997 W3C (MIT, INRIA, Keio).
 */

package org.w3c.dom;

public interface DocumentType extends Node {

  void setName(String name);
  String getName();

  void setExternalSubset(NodeList externalSubset);
  NodeList getExternalSubset();

  void setInternalSubset(NodeList internalSubset);
  NodeList getInternalSubset();
  
  void setNotations(NamedNodeList notations);
  NamedNodeList getNotations();

  void setElementTypes(NamedNodeList elementTypes);
  NamedNodeList getElementTypes();

};
