/*
 *  This source is originated from W3C DOM draft
 *     http://www.w3.org/TR/WD-DOM/level-one-core-971209.html
 *
 *  Copyright (C) 1997 W3C (MIT, INRIA, Keio).
 */

package org.w3c.dom;

public interface Element extends Node {

  void setTagName(String tagName);
  String getTagName();

  void setAttributes(AttributeList attributes);
  AttributeList getAttributes();

  void setAttribute(Attribute newAttr);

  NodeEnumerator getElementsByTagName(String name);

};
